Package de.willuhn.jameica.hbci.gui.controller

# Class AbstractSammelTransferBuchungControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.AbstractSammelTransferBuchungControl

Direct Known Subclasses:
  `SammelLastBuchungControl`, `SammelUeberweisungBuchungControl`

public abstract class AbstractSammelTransferBuchungControl extends de.willuhn.jameica.gui.AbstractControl
Abstrakter Controller fuer die Dialoge "Buchung einer Sammellastschrift/-ueberweisung bearbeiten".

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`AbstractSammelTransferBuchungControl(de.willuhn.jameica.gui.AbstractView view)`
ct.

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.Input`
`getBetrag()`
Liefert das Eingabe-Feld fuer den Betrag.
`abstract SammelTransferBuchung`
`getBuchung()`
Liefert die aktuelle Buchung.
`de.willuhn.jameica.gui.input.TextInput`
`getGegenKonto()`
Liefert das Eingabe-Feld fuer das Gegenkonto.
`de.willuhn.jameica.gui.input.Input`
`getGegenkontoBLZ()`
Liefert das Eingabe-Feld fuer die BLZ.
`AddressInput`
`getGegenkontoName()`
Liefert das Eingabe-Feld fuer den Namen des Kontoinhabers des Gegenkontos.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStoreAddress()`
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob die Adresse (Gegenkonto) mitgespeichert werden soll.
`abstract de.willuhn.jameica.gui.input.SelectInput`
`getTextSchluessel()`
Liefert ein Auswahlfeld fuer den Textschluessel.
`de.willuhn.jameica.gui.input.Input`
`getZweck()`
Liefert das Eingabe-Feld fuer den Verwendungszweck.
`de.willuhn.jameica.gui.input.DialogInput`
`getZweck2()`
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.
`abstract void`
`handleStore(boolean next)`
Speichert den Geld-Transfer.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractSammelTransferBuchungControl

public AbstractSammelTransferBuchungControl(de.willuhn.jameica.gui.AbstractView view)
ct.

Parameters:
  `view` -

## Method Details

### getBuchung

public abstract SammelTransferBuchung getBuchung()
Liefert die aktuelle Buchung.

Returns:
  die Buchung.

### getGegenkontoName

public AddressInput getGegenkontoName() throws RemoteException
Liefert das Eingabe-Feld fuer den Namen des Kontoinhabers des Gegenkontos.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getGegenKonto

public de.willuhn.jameica.gui.input.TextInput getGegenKonto() throws RemoteException
Liefert das Eingabe-Feld fuer das Gegenkonto.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getGegenkontoBLZ

public de.willuhn.jameica.gui.input.Input getGegenkontoBLZ() throws RemoteException
Liefert das Eingabe-Feld fuer die BLZ.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck

public de.willuhn.jameica.gui.input.Input getZweck() throws RemoteException
Liefert das Eingabe-Feld fuer den Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getZweck2

public de.willuhn.jameica.gui.input.DialogInput getZweck2() throws RemoteException
Liefert das Eingabe-Feld fuer den "weiteren" Verwendungszweck.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getBetrag

public de.willuhn.jameica.gui.input.Input getBetrag() throws RemoteException
Liefert das Eingabe-Feld fuer den Betrag.

Returns:
  Eingabe-Feld.
Throws:
  `RemoteException`

### getTextSchluessel

public abstract de.willuhn.jameica.gui.input.SelectInput getTextSchluessel() throws RemoteException
Liefert ein Auswahlfeld fuer den Textschluessel.

Returns:
  Auswahlfeld.
Throws:
  `RemoteException`

### getStoreAddress

public de.willuhn.jameica.gui.input.CheckboxInput getStoreAddress() throws RemoteException
Liefert eine CheckBox ueber die ausgewaehlt werden kann, ob die Adresse (Gegenkonto) mitgespeichert werden soll.

Returns:
  CheckBox.
Throws:
  `RemoteException`

### handleStore

public abstract void handleStore(boolean next)
Speichert den Geld-Transfer.

Parameters:
  `next` - legt fest, ob nach dem Speichern gleich zur naechsten Buchung gesprungen werden soll.